> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP



## OpenAPI

````yaml post /v1/access/otp/verify
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/access/otp/verify:
    post:
      summary: Verify OTP
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyOtpBody'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyOtpResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VerifyOtpBody:
      type: object
      properties:
        email:
          type: string
          format: email
        code:
          type: string
          minLength: 6
          maxLength: 6
        include_user:
          type: boolean
      required:
        - email
        - code
      additionalProperties: false
    VerifyOtpResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        user:
          type: object
          properties:
            id:
              type: string
            email:
              type: string
              format: email
            phone:
              type:
                - string
                - 'null'
            metadata:
              type:
                - object
                - 'null'
              additionalProperties: {}
            login_count:
              type: number
            last_login_at:
              type:
                - string
                - 'null'
            created_at:
              type:
                - string
                - 'null'
            updated_at:
              type:
                - string
                - 'null'
            avatar_url:
              type:
                - string
                - 'null'
          required:
            - id
            - email
      required:
        - success
        - message
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````